The Project Template object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

project_type string
disabled boolean

Default: false

The Project Template object
{
  "id": "project-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "project_type": "project_type_example",
  "disabled": false
}
GET /api/projects/project-template/{id}

Retrieve a project template

Retrieves the details of an existing project template. Supply the unique project template ID that was returned from a previous request.

Path parameters

id string required

The identifier of the project template to retrieve.

Returns

Returns the project template object if a valid identifier was provided.

GET /api/projects/project-template/{id}
curl https://api.overplane.dev/api/projects/project-template/project-template_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "project-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "project_type": "project_type_example",
  "disabled": false
}
GET /api/projects/project-template

List all project templates

Returns a list of project templates. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of project template objects.

GET /api/projects/project-template
curl https://api.overplane.dev/api/projects/project-template \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "project-template_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "project_type": "project_type_example",
      "disabled": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/projects/project-template

Create a project template

Creates a new project template object.

Body parameters

project_type string
disabled boolean

Default: false

Returns

Returns the newly created project template object if the call succeeded.

POST /api/projects/project-template
curl https://api.overplane.dev/api/projects/project-template \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "project-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "project_type": "project_type_example",
  "disabled": false
}
PATCH /api/projects/project-template/{id}

Update a project template

Updates the specified project template by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the project template to update.

Body parameters

project_type string
disabled boolean

Default: false

Returns

Returns the updated project template object.

PATCH /api/projects/project-template/{id}
curl https://api.overplane.dev/api/projects/project-template/project-template_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"project_type":"project_type_example","disabled":false}'
Response
{
  "id": "project-template_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "project_type": "project_type_example",
  "disabled": false
}
DELETE /api/projects/project-template/{id}

Delete a project template

Permanently deletes a project template. This cannot be undone.

Path parameters

id string required

The identifier of the project template to delete.

Returns

Returns a confirmation that the project template has been deleted.

DELETE /api/projects/project-template/{id}
curl https://api.overplane.dev/api/projects/project-template/project-template_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "project-template_abc123",
  "deleted": true
}

Line items

Child objects that belong to this project template. These are accessed via the parent's ID.

Project Template Task

Attributes

idx integer
project_template_id string required
task string required
subject string

Endpoints

GET /api/projects/project-template-task?parent_id={id}
POST /api/projects/project-template-task
PATCH /api/projects/project-template-task/{id}
DELETE /api/projects/project-template-task/{id}
POST /api/projects/project-template-task/reorder
Project Template Task object
{
  "id": "project-template-task_abc123",
  "idx": 1,
  "project_template_id": "project_template_id_example",
  "task": "task_example",
  "subject": "subject_example"
}